podman-artifact(1)

NAME
podman-artifact - Manage OCI artifacts

SYNOPSIS
podman artifact subcommand

DESCRIPTION
podman artifact is a set of subcommands that manage OCI artifacts.

OCI artifacts are a common way to distribute files that are associated with OCI images and containers. Podman is capable of managing (pulling, inspecting, pushing) these artifacts from its local "artifact store".

SUBCOMMANDS
Command | Man Page | Description
add | podman-artifact-add(1) | Add an OCI artifact to the local store
extract | podman-artifact-extract(1) | Extract an OCI artifact to a local path
inspect | podman-artifact-inspect(1) | Inspect an OCI artifact
ls | podman-artifact-ls(1) | List OCI artifacts in local store
pull | podman-artifact-pull(1) | Pulls an artifact from a registry and stores it locally
push | podman-artifact-push(1) | Push an OCI artifact from local storage to an image registry
rm | podman-artifact-rm(1) | Remove an OCI from local storage

SEE ALSO
podman(1)

HISTORY
Sept 2024, Originally compiled by Brent Baude bbaude@redhat.com ⟨mailto:bbaude@redhat.com⟩